# Inbox notifications, newest first, with cursor pagination

GET /api/agent/inbox/notifications. Required scopes: inbox:read.

HTML: https://notify.belweave.ai/docs/api/getInboxNotifications

Required scopes: `inbox:read`

```http
GET /api/agent/inbox/notifications
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "Inbox notifications, newest first, with cursor pagination",
  "operationId": "getInboxNotifications",
  "security": [
    {
      "bearer": [
        "inbox:read"
      ]
    }
  ],
  "x-notify-scopes": [
    "inbox:read"
  ],
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 50
      },
      "required": false
    },
    {
      "name": "project",
      "in": "query",
      "schema": {
        "type": "string",
        "description": "Project ID, or `unfiled`."
      },
      "required": false
    },
    {
      "name": "unread",
      "in": "query",
      "schema": {
        "enum": [
          "1",
          "true"
        ]
      },
      "required": false
    },
    {
      "name": "cursor",
      "in": "query",
      "schema": {
        "type": "string"
      },
      "required": false
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/InboxNotificationPage"
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
